Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataColumnCollection

    java.lang.Object
      LumiSoft.Data.DataColumnCollection

All Implemented Interfaces:
  java.lang.Iterable<DataColumn>

    public class DataColumnCollection

extends java.lang.Object
implements java.lang.Iterable<DataColumn>

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`DataColumn` | `Add(java.lang.String columnName)` Creates and adds new data column.
`DataColumn` | `Add(java.lang.String columnName, java.lang.Class dataType)` Creates and adds new data column.
`void` | `Clear()` Clears the collection of any columns.
`boolean` | `Contains(java.lang.String columnName)` Checks whether the collection contains a column with the specified name.
`DataColumn` | `get(int columnIndex)` Gets the DataColumn from the collection at the specified index.
`DataColumn` | `get(java.lang.String columnName)` Gets the DataColumn from the collection with the specified name.
`int` | `getCount()` Gets the total number of columns in a collection.
`java.util.Iterator<DataColumn>` | `iterator()` Gets iterator.
`void` | `Remove(DataColumn column)` Removes specified data column.
`void` | `Remove(int index)` Removes the column at the specified index from the collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public DataColumn Add(java.lang.String columnName)

  Creates and adds new data column.

  Parameters:
    `columnName` -

### Add

    public DataColumn Add(java.lang.String columnName,
                          java.lang.Class dataType)

  Creates and adds new data column.

  Parameters:
    `columnName` -
    `dataType` -

### Remove

    public void Remove(DataColumn column)

  Removes specified data column.

  Parameters:
    `column` -

### Remove

    public void Remove(int index)

  Removes the column at the specified index from the collection.

  Parameters:
    `index` -

### Clear

    public void Clear()

  Clears the collection of any columns.

### Contains

    public boolean Contains(java.lang.String columnName)

  Checks whether the collection contains a column with the specified name.

  Parameters:
    `columnName` -
  Returns:

### get

    public DataColumn get(java.lang.String columnName)

  Gets the DataColumn from the collection with the specified name.

  Parameters:
    `columnName` -
  Returns:

### get

    public DataColumn get(int columnIndex)

  Gets the DataColumn from the collection at the specified index.

  Parameters:
    `columnIndex` -
  Returns:

### getCount

    public int getCount()

  Gets the total number of columns in a collection.

  Returns:

### iterator

    public java.util.Iterator<DataColumn> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<DataColumn>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD